Subject: bug#3746: M-r in comint mode should use isearch

From: Juri Linkov <[email-masked]>
Date: Fri, 10 Jul 2009 01:19:11 +0300

>   > Both bash and the Emacs minibuffer activate Isearch on C-s, so it
>   > would be natural to do the same in shell buffers.  We could try the
>   > same context-dependent dwim approach used by the option of
>   > `dired-isearch-filenames', i.e.  "When point is on a file name
>   > initially, search file names".  So when point is on the shell prompt
>   > then run Isearch on the shell history, otherwise run Isearch on the
>   > shell buffer.
>
> That sounds fine, but it's not exclusive with M-r being an incremental
> search too.
>
> We are at the beginning of a release cycle, so we can experiment, if the
> users hate the change, there's enough time to change back.

Ok, since all approaches are shaky, let's try all of them.
I'll post a patch soon.

-- 
Juri Linkov
http://www.jurta.org/emacs/